#ifndef _BASE32_H
#define _BASE32_H

static const char base32_digits[32] = "0123456789bcdfghjklmnpqrstuvwxyz";

unsigned int base32_bytessize(unsigned int);
unsigned int base32_decode(char *,const char *,unsigned int,int);
void base32_encodebytes(char *,const char *,unsigned int);
void base32_encodekey(char *,const char *);

#endif
